#
# spec file for package appleir (Version 1.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           appleir
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel modules for USB Apple IR
Version:        1.1
Release:        37.1
Group:          System/Kernel
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.madingley.org/macmini/
AutoReqProv:    on
Source:         %{name}-%{version}.tar.bz2
Source2:        preamble
Patch:          appleir-1.1.dif
ExclusiveArch:  %ix86 x86_64
%suse_kernel_module_package -p %_sourcedir/preamble kdump um 

%package -n appleir-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Kernel modules for USB Apple IR

%description 
Kernel modules for USB Apple infrared receiver as found in MacBookPro



%description -n appleir-KMP
Kernel modules for USB Apple infrared receiver as found in MacBookPro



%prep
%setup -n %{name}-%{version} 
%patch

%build
cd ..
mkdir -p obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r %{name}-%{version} obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/obj/$flavor
done

%install
cd ..
# install kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
   make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
       M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README

%changelog
* Fri Jun 01 2007 - ro@suse.de
- added README and patch to avoid compiler warning
* Fri Jun 01 2007 - ro@suse.de
- imported Makefile from Sami Vento
* Fri Jun 01 2007 - ro@suse.de
- created package based on kernel patch from
  http://www.madingley.org/macmini/
